com.singularsys.jep.misc.nullwrapper

## Enum NullWrappedOperatorTable.NullWrapperOperators

- java.lang.Object
- - java.lang.Enum<NullWrappedOperatorTable.NullWrapperOperators>
  - - com.singularsys.jep.misc.nullwrapper.NullWrappedOperatorTable.NullWrapperOperators

- All Implemented Interfaces:
    EmptyOperatorTable.OperatorKey, java.io.Serializable, java.lang.Comparable<NullWrappedOperatorTable.NullWrapperOperators>
  Enclosing class:
    NullWrappedOperatorTable

      public static enum NullWrappedOperatorTable.NullWrapperOperators
      extends java.lang.Enum<NullWrappedOperatorTable.NullWrapperOperators>
      implements EmptyOperatorTable.OperatorKey

  Key for the one operator NullSafeEquals added by the table.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NULLSAFEEQUALS` Key used for the null safe equals operator

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NullWrappedOperatorTable.NullWrapperOperators` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NullWrappedOperatorTable.NullWrapperOperators[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULLSAFEEQUALS

          public static final NullWrappedOperatorTable.NullWrapperOperators NULLSAFEEQUALS

      Key used for the null safe equals operator

  - ### Method Detail

    - #### values

          public static NullWrappedOperatorTable.NullWrapperOperators[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NullWrappedOperatorTable.NullWrapperOperators c : NullWrappedOperatorTable.NullWrapperOperators.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NullWrappedOperatorTable.NullWrapperOperators valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 Singular Systems http://www.singularsys.com/jep